@import '../../../../assets/styles/common.scss';

.custom-ui-data-time-picker {
    width: 100%;
    display: flex;
    margin: 0px 10px;
    flex-direction: column;
    justify-content: center;

    &-error-message {
        width: 100%;
        height: 20px;
        display: block;
        font-size: 12px;
        overflow: hidden;
        color: IndianRed;
        position: relative;
        white-space: nowrap;
        text-overflow: ellipsis;
    }
    
    .rdt {
        padding-bottom: 2px;
        transition: border-bottom 0.2s;
        border-bottom: 1px solid rgba($bgColor, 0.15);

        &.rdtOpen .rdtPicker {
            display: block;
            box-shadow: none;

            .rdtMonths,
            .rdtDays,
            .rdtYears {
                margin-top: -250px;
                background-color: white;
                box-shadow: 0 1px 3px rgba(0,0,0,.1);
            }

            .rdtDays {
                margin-top: -340px;
            }
        }

        &:after {
            bottom: 0px;
            left: 45%;
            content: "";
            height: 3px;
            width: 10px;
            position: absolute;
            visibility: hidden;
            transition-duration: .2s;
            background-color: $bgColor;
            transition-timing-function: cubic-bezier(.4,0,.2,1);
        }

        &.rdtOpen {
            &:after {
                left: 0;
                width: 100%;
                visibility: visible;
            }

            border-bottom: 1px solid white;
            & > input {
                pointer-events: none;
            }
        }

        input {
            width: 100%;
            border: none;
            font-size: 14px;
            cursor: pointer;
            font-weight: bold;
            transition: opacity 0.5s;
            background-size: 16px 16px;
            color: darken($bgColor, 40);
            background-repeat: no-repeat;
            background-position-x: calc(100% - 20px);
            background-image: url(../../../../assets/images/calendar.svg);

            &:hover {
                opacity: 0.75;
            }

            &:disabled {
                opacity: 0.25;
                background-color: white;
            }

            &:focus {
                outline: none;

            }

            &.error {
                color: IndianRed;
            }
        }
    }
}
